Archive
curl --request DELETE \
--url https://api.leadping.ai/lead-statuses/{id}import requests
url = "https://api.leadping.ai/lead-statuses/{id}"
response = requests.delete(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/lead-statuses/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);HttpResponse<String> response = Unirest.delete("https://api.leadping.ai/lead-statuses/{id}")
.asString();const options = {method: 'DELETE'};
fetch('https://api.leadping.ai/lead-statuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/lead-statuses/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/lead-statuses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}trueLeadStatuses
Archive
Archives a lead status for the current business so it is unavailable for new assignments while existing lead history is preserved.
DELETE
/
lead-statuses
/
{id}
Archive
truePath Parameters
Response
OK
The response is of type boolean.
⌘I

